## registration-agent 1.3.4

=== CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)
set(APP_SRCS registrationAgent.cxx AppSubsystem.cxx CommandThread.cxx KeyedFile.cxx RegConfig.cxx UserAccount.cxx UserRegistrationClient.cxx)
add_executable(registrationAgent ${APP_SRCS})
target_link_libraries(registrationAgent rutil resip dum qpid-proton-cpp)

=== debian/changelog ===
registration-agent (1.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 17 Nov 2017 19:43:36 +0100

registration-agent (1.3.3-1) unstable; urgency=low

  * Initial packaging. (Closes: #859678)

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 28 Jun 2017 16:41:29 +0200

=== debian/control ===
Source: registration-agent
Section: net
Priority: extra
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>
Build-Depends: debhelper (>= 9.0.0), cmake, dpkg-dev (>= 1.16.1~), libresiprocate-1.11-dev (>> 1.11.0~beta4) | libresiprocate-dev, vim-common, libqpid-proton-cpp-dev, libcajun-dev
Homepage: https://github.com/resiprocate/registration-agent
Standards-Version: 3.9.2

Package: registration-agent
Section: net
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Suggests: python-qpid-proton
Description: SIP registration agent
 registration-agent is a daemon that can maintain one or more SIP registrations,
 typically sending a Contact header to the registrar telling it to send incoming
 calls to a local SIP proxy or other gateway device that is unable to send
 a registration request itself.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

#DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

# reSIProcate ABI is dependent on the compile flags
# this should be fixed in v1.9
# for now, we must emulate the compile flags that were used to
# build reSIProcate on Debian
CPPFLAGS += -DRESIP_TOOLCHAIN_GNU
#CPPFLAGS += -DRESIP_OSTYPE_LINUX
#CPPFLAGS += -DRESIP_ARCH_X86_64
#CPPFLAGS += -DHAVE_sockaddr_in_len
CPPFLAGS += -DUSE_CARES
CPPFLAGS += -DUSE_SSL
CPPFLAGS += -DUSE_IPV6
#CPPFLAGS += -DHAVE_EPOLL

# cmake doesn't appear to recognize CPPFLAGS
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@ --builddirectory=.

override_dh_install:
	dh_install
	sed -i \
		-e 's!UserAccountFile = users.txt!UserAccountFile = /etc/registrationAgent/users.txt!' \
		debian/registration-agent/etc/registrationAgent/registrationAgent.config
	install -D registration-agent.init debian/registration-agent/etc/init.d/registration-agent
